Index Page maxd_c

A B C D E F G H I J K L M N O P Q R S T U V W X

Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries

#### Procedure

       SpiceDouble maxd_c ( SpiceInt  n,  ... )

#### Abstract

       Find the maximum of a set of double precision values.

#### Required_Reading

       PLANES

#### Keywords

       GEOMETRY
       MATH
       PLANE

#### Brief_I/O

       Variable  I/O  Description
       --------  ---  --------------------------------------------------
       n          I   The number of double precision values to compare.
       ...        I   The numbers to be compared, separated by commas.

#### Detailed_Input

       n              is the number of double precision values in the set
                      whose maximum is to be determined.

       ...            represents a variable argument list.  The number of
                      double precision values supplied must be that
                      indicated by n.  The values are separated by commas.

                      Section 5.2.4.1 of the ANSI C Standard, titled
                      "Translation Limits," specifies that argument lists
                      containing at least 31 items must be supported.  In
                      the interest of portability, no more than 30
                      double precision values should be supplied.

#### Detailed_Output

       The function returns the maximum of the set of input double precision
       values.

#### Parameters

       None.

#### Exceptions

       Error free.

       1) If n is less than 1, the value 0.0 is returned.

       2) If the number of double precision values supplied does not match
          the argument n, the action of this routine is not defined.

       3) If the number of double precision values supplied exceeds 30,
          the action of this routine is not defined.

#### Files

       None.

#### Particulars

       None.

#### Examples

       1) Find the maximum of four double precision values.

          #include "SpiceUsr.h"
               .
               .
               .

          SpiceDouble             max;
          SpiceDouble             a;
          SpiceDouble             b;
          SpiceDouble             c;
          SpiceDouble             d;
               .
               .
               .

          max = maxd_c ( 4, a, b, c, d );

#### Restrictions

       1) The ANSI C Standard specifies that argument lists containing 31
          actual arguments must be supported.  Larger sets of values may
          not be handled properly by this routine.

#### Literature_References

       1) "American National Standard for Programming Languages---C."
          Section 5.4.2.1, "Translation Limits," p. 13.
          Published by American National Standards Institute,
          11 West 42nd St., New York, NY 10035. Copyright 1990.

#### Author_and_Institution

       N.J. Bachman   (JPL)

#### Version

       -CSPICE Version 1.0.1, 11-NOV-2006 (EDW)

          Added "None." text to Particulars section, required for
          API doc script (cspicehtml.pl) integrity checks.

       -CSPICE Version 1.0.0, 16-SEP-1999 (NJB)

#### Index_Entries

       maximum of double precision values

#### Link to routine maxd_c source file maxd_c.c

    Wed Apr  5 17:54:39 2017